GNU logs - #35490, boring messages


Message sent to bug-gzip@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#35490: Creating a ./configure diff against gzip-1.9
Resent-From: Ilya Leoshkevich <iii@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gzip@HIDDEN
Resent-Date: Mon, 29 Apr 2019 15:10:01 +0000
Resent-Message-ID: <handler.35490.B.155655059220663 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 35490
X-GNU-PR-Package: gzip
X-GNU-PR-Keywords: 
To: 35490 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gzip@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.155655059220663
          (code B ref -1); Mon, 29 Apr 2019 15:10:01 +0000
Received: (at submit) by debbugs.gnu.org; 29 Apr 2019 15:09:52 +0000
Received: from localhost ([127.0.0.1]:39500 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hL7ui-0005NC-1u
	for submit <at> debbugs.gnu.org; Mon, 29 Apr 2019 11:09:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <iii@HIDDEN>) id 1hL7uf-0005Mx-VZ
 for submit <at> debbugs.gnu.org; Mon, 29 Apr 2019 11:09:50 -0400
Received: from lists.gnu.org ([209.51.188.17]:45441)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <iii@HIDDEN>) id 1hL7uV-0008G4-2K
 for submit <at> debbugs.gnu.org; Mon, 29 Apr 2019 11:09:41 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55255)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <iii@HIDDEN>) id 1hL7uT-0006mt-Sx
 for bug-gzip@HIDDEN; Mon, 29 Apr 2019 11:09:38 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.9 required=5.0 tests=BAYES_50,KHOP_DYNAMIC,
 RCVD_IN_DNSWL_LOW,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <iii@HIDDEN>) id 1hL7uK-0008Bb-AL
 for bug-gzip@HIDDEN; Mon, 29 Apr 2019 11:09:33 -0400
Received: from mx0b-001b2d01.pphosted.com ([148.163.158.5]:49224
 helo=mx0a-001b2d01.pphosted.com)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <iii@HIDDEN>) id 1hL7uB-0007sB-Hq
 for bug-gzip@HIDDEN; Mon, 29 Apr 2019 11:09:22 -0400
Received: from pps.filterd (m0098417.ppops.net [127.0.0.1])
 by mx0a-001b2d01.pphosted.com (8.16.0.27/8.16.0.27) with SMTP id
 x3TF5SRt038732
 for <bug-gzip@HIDDEN>; Mon, 29 Apr 2019 11:09:02 -0400
Received: from e06smtp02.uk.ibm.com (e06smtp02.uk.ibm.com [195.75.94.98])
 by mx0a-001b2d01.pphosted.com with ESMTP id 2s617y6rnv-1
 (version=TLSv1.2 cipher=AES256-GCM-SHA384 bits=256 verify=NOT)
 for <bug-gzip@HIDDEN>; Mon, 29 Apr 2019 11:09:02 -0400
Received: from localhost
 by e06smtp02.uk.ibm.com with IBM ESMTP SMTP Gateway: Authorized Use Only!
 Violators will be prosecuted
 for <bug-gzip@HIDDEN> from <iii@HIDDEN>;
 Mon, 29 Apr 2019 16:09:00 +0100
Received: from b06cxnps4076.portsmouth.uk.ibm.com (9.149.109.198)
 by e06smtp02.uk.ibm.com (192.168.101.132) with IBM ESMTP SMTP Gateway:
 Authorized Use Only! Violators will be prosecuted; 
 (version=TLSv1/SSLv3 cipher=AES256-GCM-SHA384 bits=256/256)
 Mon, 29 Apr 2019 16:08:58 +0100
Received: from d06av25.portsmouth.uk.ibm.com (d06av25.portsmouth.uk.ibm.com
 [9.149.105.61])
 by b06cxnps4076.portsmouth.uk.ibm.com (8.14.9/8.14.9/NCO v10.0) with ESMTP id
 x3TF8wXg23789756
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-gzip@HIDDEN>; Mon, 29 Apr 2019 15:08:58 GMT
Received: from d06av25.portsmouth.uk.ibm.com (unknown [127.0.0.1])
 by IMSVA (Postfix) with ESMTP id E3A1B11C054
 for <bug-gzip@HIDDEN>; Mon, 29 Apr 2019 15:08:57 +0000 (GMT)
Received: from d06av25.portsmouth.uk.ibm.com (unknown [127.0.0.1])
 by IMSVA (Postfix) with ESMTP id D32E411C04C
 for <bug-gzip@HIDDEN>; Mon, 29 Apr 2019 15:08:57 +0000 (GMT)
Received: from dyn-9-152-98-18.boeblingen.de.ibm.com (unknown [9.152.98.18])
 by d06av25.portsmouth.uk.ibm.com (Postfix) with ESMTP
 for <bug-gzip@HIDDEN>; Mon, 29 Apr 2019 15:08:57 +0000 (GMT)
From: Ilya Leoshkevich <iii@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 11.5 \(3445.9.1\))
Date: Mon, 29 Apr 2019 17:08:57 +0200
X-Mailer: Apple Mail (2.3445.9.1)
X-TM-AS-GCONF: 00
x-cbid: 19042915-0008-0000-0000-000002E1841E
X-IBM-AV-DETECTION: SAVI=unused REMOTE=unused XFE=unused
x-cbparentid: 19042915-0009-0000-0000-0000224DE8D1
Message-Id: <31914A5C-69B2-476C-85B6-6E8FF753C1B4@HIDDEN>
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:, ,
 definitions=2019-04-29_08:, , signatures=0
X-Proofpoint-Spam-Details: rule=outbound_notspam policy=outbound score=0
 priorityscore=1501
 malwarescore=0 suspectscore=85 phishscore=0 bulkscore=0 spamscore=0
 clxscore=1015 lowpriorityscore=0 mlxscore=0 impostorscore=0
 mlxlogscore=999 adultscore=0 classifier=spam adjust=0 reason=mlx
 scancount=1 engine=8.0.1-1810050000 definitions=main-1904290106
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [generic]
X-Received-From: 148.163.158.5
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi,

I=E2=80=99m trying to backport IBM Z patches to gzip version 1.9.  The =
code
changes themselves apply without problems, however, I also need to
create a diff for configure and other generated build files.  If I just
use whatever distro I have at hand for this, there will be a lot of
noise from autoconf and automake version mismatch, so I'm trying to
figure out which exact versions were used for the 1.9 release.

I'm observing a few surprising things, and it would be great if someone
could help me resolve them and get to the point where I can reproduce
the 1.9 release from git sources:


- The released ./Makefile.in contains:

    distdir-am: $(DISTFILES)

which means that automake version used contained the commit ac47c2:
"make dist" did not depend on $(BUILT_SOURCES) from Nov 28 2017.

At the same time, the released ./build-aux/ar-lib contains:

    # Copyright (C) 2010-2015 Free Software Foundation, Inc.

which means that automake must have been older than commit d8add5:
maint: Update copyright years to 2017. from Mar 2 2017.

This is clearly impossible, and the only other version indication that I
could find is:

    Makefile.in generated by automake 1.15a

which does not really help, since this correspond to a lot of commits.
Can it be that a private branch was used?


- The released ./configure contains:

    Generated by GNU Autoconf 2.69.193-8974

However, 8974 is not an existing commit id.  Again, would it be correct
to assume that this is coming from a private branch?  The closest
version I could come up with is 2.69.193-dfb0.


- The am__DIST_COMMON list in the released ./Makefile.in contains
  build-aux/ar-lib.

However, there is no AM_PROG_AR or similar macros in the released
./configure.ac.  When I do `make dist`, it is not generated.  Where is
it supposed to come from?


- The released ./aclocal.m4 contains:

    # po.m4 serial 24 (gettext-0.19)

However, the released ./configure.ac does not contain
AM_GNU_GETTEXT_VERSION - where is po.m4 coming from?


Best regards,
Ilya





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Ilya Leoshkevich <iii@HIDDEN>
Subject: bug#35490: Acknowledgement (Creating a ./configure diff against
 gzip-1.9)
Message-ID: <handler.35490.B.155655059220663.ack <at> debbugs.gnu.org>
References: <31914A5C-69B2-476C-85B6-6E8FF753C1B4@HIDDEN>
X-Gnu-PR-Message: ack 35490
X-Gnu-PR-Package: gzip
Reply-To: 35490 <at> debbugs.gnu.org
Date: Mon, 29 Apr 2019 15:10:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gzip@HIDDEN

If you wish to submit further information on this problem, please
send it to 35490 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
35490: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D35490
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gzip@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#35490: Creating a ./configure diff against gzip-1.9
Resent-From: Paul Eggert <eggert@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gzip@HIDDEN
Resent-Date: Fri, 04 Oct 2019 01:14:02 +0000
Resent-Message-ID: <handler.35490.B.15701516383808 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 35490
X-GNU-PR-Package: gzip
X-GNU-PR-Keywords: 
To: Ilya Leoshkevich <iii@HIDDEN>
Cc: 35490 <at> debbugs.gnu.org
X-Debbugs-Original-Cc: bug-gzip@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.15701516383808
          (code B ref -1); Fri, 04 Oct 2019 01:14:02 +0000
Received: (at submit) by debbugs.gnu.org; 4 Oct 2019 01:13:58 +0000
Received: from localhost ([127.0.0.1]:41493 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGCAQ-0000zL-0y
	for submit <at> debbugs.gnu.org; Thu, 03 Oct 2019 21:13:58 -0400
Received: from lists.gnu.org ([209.51.188.17]:57608)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1iGCAM-0000zB-Iq
 for submit <at> debbugs.gnu.org; Thu, 03 Oct 2019 21:13:56 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57902)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eggert@HIDDEN>) id 1iGCAL-0000MQ-1G
 for bug-gzip@HIDDEN; Thu, 03 Oct 2019 21:13:54 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_20,RCVD_IN_DNSWL_MED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eggert@HIDDEN>) id 1iGCAI-00051l-GU
 for bug-gzip@HIDDEN; Thu, 03 Oct 2019 21:13:52 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:41896)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <eggert@HIDDEN>) id 1iGCAG-0004zc-TA
 for bug-gzip@HIDDEN; Thu, 03 Oct 2019 21:13:49 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 8424616027E;
 Thu,  3 Oct 2019 18:13:46 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id pM0FonDUMvft; Thu,  3 Oct 2019 18:13:45 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id CEB18160497;
 Thu,  3 Oct 2019 18:13:45 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 6w3ij5YaGSXw; Thu,  3 Oct 2019 18:13:45 -0700 (PDT)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id B363F16027E;
 Thu,  3 Oct 2019 18:13:45 -0700 (PDT)
References: <31914A5C-69B2-476C-85B6-6E8FF753C1B4@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <2e90ddd2-6c9c-aa37-8459-69ecce18f716@HIDDEN>
Date: Thu, 3 Oct 2019 18:13:45 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.1.0
MIME-Version: 1.0
In-Reply-To: <31914A5C-69B2-476C-85B6-6E8FF753C1B4@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-Received-From: 131.179.128.68
X-Spam-Score: -1.3 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 4/29/19 8:08 AM, Ilya Leoshkevich wrote:
> If I just
> use whatever distro I have at hand for this, there will be a lot of
> noise from autoconf and automake version mismatch, so I'm trying to
> figure out which exact versions were used for the 1.9 release.

This is not something I'd normally worry about, any more than I'd 
normally worry about exactly what x86-64 code gets generated by my C 
compiler.

Jim Meyering (who created the release) had his own platform with 
reasonably-bleeding-edge tools, not all of which correspond to any 
particular GNU release. He might be able to fill you in with the 
details, but this sort of thing is kinda low priority so I wouldn't 
expect a quick answer (and even he might not know the answer).

I skipped most of your questions, except for:

> where is po.m4 coming from?

I think it comes from Gnulib, and is filled in by './bootstrap'.





Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.